import { Component } from '@angular/core';

@Component({
  selector: 'svg-map',
  template: `
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width="16"
      height="16"
      viewBox="0 0 16 16"
      fill="none"
    >
      <path
        d="M12.5533 3.32986C11.5006 1.84931 9.83232 1 7.97645 1C6.12059 1 4.45228 1.84931 3.39961 3.32986C2.35212 4.80293 2.11025 6.66787 2.75132 8.31554C2.92279 8.76549 3.19537 9.20264 3.55953 9.61228L7.60941 14.2352C7.701 14.3398 7.8352 14.4001 7.97645 14.4001C8.11771 14.4001 8.25191 14.3398 8.3435 14.2352L12.3922 9.61354C12.758 9.20154 13.0302 8.76486 13.2003 8.31852C13.8427 6.66787 13.6008 4.80293 12.5533 3.32986ZM12.2974 7.99038C12.1663 8.33475 11.9522 8.67522 11.6615 9.00271C11.6607 9.0035 11.6599 9.00428 11.6593 9.00522L7.97645 13.2089L4.29139 9.00258C4.00083 8.67538 3.78675 8.33493 3.65433 7.98726C3.12416 6.62461 3.32536 5.08266 4.19271 3.86275C5.06278 2.63895 6.44199 1.93706 7.97645 1.93706C9.51089 1.93706 10.8899 2.63892 11.76 3.86275C12.6275 5.08266 12.8289 6.62461 12.2974 7.99038Z"
        fill="#9EADC5"
      />
      <path
        d="M7.97726 3.7793C6.48861 3.7793 5.27734 4.95625 5.27734 6.4031C5.27734 7.84994 6.48844 9.0269 7.97726 9.0269C9.46608 9.0269 10.6772 7.84994 10.6772 6.4031C10.6772 4.95641 9.46592 3.7793 7.97726 3.7793ZM7.97726 8.08981C7.02023 8.08981 6.24159 7.33312 6.24159 6.40307C6.24159 5.47302 7.02023 4.71634 7.97726 4.71634C8.93429 4.71634 9.71293 5.47302 9.71293 6.40307C9.71293 7.33312 8.93429 8.08981 7.97726 8.08981Z"
        fill="#9EADC5"
      />
    </svg>
  `,
})
export class SvgMapComponent {}
